> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available Hetzner locations



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/hetzner/locations
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/hetzner/locations:
    get:
      tags:
        - Hetzner Cluster API
      summary: List available Hetzner locations
      operationId: list_hetzner_locations_endpoint_api_v1_clusters_hetzner_locations_get
      parameters:
        - description: Hetzner credential ID to use for API access
          in: query
          name: credential_id
          required: true
          schema:
            description: Hetzner credential ID to use for API access
            format: uuid
            title: Credential Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HetznerLocationResponse'
                title: >-
                  Response List Hetzner Locations Endpoint Api V1 Clusters
                  Hetzner Locations Get
                type: array
          description: Locations retrieved from Hetzner API
        '400':
          description: Availability check failed
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HetznerLocationResponse:
      properties:
        city:
          title: City
          type: string
        country:
          title: Country
          type: string
        description:
          title: Description
          type: string
        name:
          title: Name
          type: string
        network_zone:
          title: Network Zone
          type: string
      required:
        - name
        - description
        - city
        - country
        - network_zone
      title: HetznerLocationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````